Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.core.v1
Class UnstructuredExclusionRuleType

    java.lang.Object
      be.fgov.ehealth.dics.core.v1.UnstructuredExclusionRuleType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2016-10-28T03:13:06+02:00",
               comments="JAXB RI v2.2.6")
    public class UnstructuredExclusionRuleType

extends Object
implements Serializable

Java class for UnstructuredExclusionRuleType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="UnstructuredExclusionRuleType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="VerseSeq" type="{http://www.w3.org/2001/XMLSchema}integer"/>
             <element name="VerseNum" type="{http://www.w3.org/2001/XMLSchema}integer"/>
             <element name="Text" type="{urn:be:fgov:ehealth:dics:core:v1}TextType" maxOccurs="unbounded"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`UnstructuredExclusionRuleType()`

Method Summary
`List<TextType>` | `getTexts()` Gets the value of the texts property.
`BigInteger` | `getVerseNum()` Gets the value of the verseNum property.
`BigInteger` | `getVerseSeq()` Gets the value of the verseSeq property.
`void` | `setVerseNum(BigInteger value)` Sets the value of the verseNum property.
`void` | `setVerseSeq(BigInteger value)` Sets the value of the verseSeq property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnstructuredExclusionRuleType

    public UnstructuredExclusionRuleType()

Method Detail

### getVerseSeq

    public BigInteger getVerseSeq()

  Gets the value of the verseSeq property.

  Returns:
    possible object is `BigInteger`

### setVerseSeq

    public void setVerseSeq(BigInteger value)

  Sets the value of the verseSeq property.

  Parameters:
    `value` - allowed object is `BigInteger`

### getVerseNum

    public BigInteger getVerseNum()

  Gets the value of the verseNum property.

  Returns:
    possible object is `BigInteger`

### setVerseNum

    public void setVerseNum(BigInteger value)

  Sets the value of the verseNum property.

  Parameters:
    `value` - allowed object is `BigInteger`

### getTexts

    public List<TextType> getTexts()

  Gets the value of the texts property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the texts property.

  For example, to add a new item, do as follows:

          getTexts().add(newItem);

  Objects of the following type(s) are allowed in the list `TextType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.11.1 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.